#

API Docs for: 0.6.0
Show: Inherited Protected Private Deprecated

# AABB Class

Defined in: `src/collision/AABB.js:6`

Axis aligned bounding box class.

## Constructor

### `AABB`

(

- `[options]`

)

Defined in `src/collision/AABB.js:6`

#### Parameters:

- `[options]` Object optional
  - `[upperBound]` Array optional
  - `[lowerBound]` Array optional

- Index
- Methods
- Properties

## Item Index

### Methods

- copy
- extend
- overlaps
- setFromPoints

### Properties

- lowerBound
- upperBound

## Methods

### `copy`

(

- `aabb`

)

Defined in `src/collision/AABB.js:90`

Copy bounds from an AABB to this AABB

#### Parameters:

- `aabb` AABB

### `extend`

(

- `aabb`

)

Defined in `src/collision/AABB.js:101`

Extend this AABB so that it covers the given AABB too.

#### Parameters:

- `aabb` AABB

### `overlaps`

(

- `aabb`

)
Boolean

Defined in `src/collision/AABB.js:133`

Returns true if the given AABB overlaps this AABB.

#### Parameters:

- `aabb` AABB

#### Returns:

Boolean:

### `setFromPoints`

(

- `points`

)

Defined in `src/collision/AABB.js:40`

Set the AABB bounds from a set of points.

#### Parameters:

- `points` Array

  An array of Vec3's.

## Properties

### `lowerBound`

Array

Defined in `src/collision/AABB.js:17`

The lower bound of the bounding box.

### `upperBound`

Array

Defined in `src/collision/AABB.js:27`

The upper bound of the bounding box.